Skip to main content

Retrieve a single payout payment

GET 

/api/payout_transaction_details/:id

This API endpoint is designed to retrieve detailed information about a specific payout payment, providing access to all relevant details of an individual payout payment transaction.

Request

Path Parameters

    id stringrequired

    PayoutTransactionDetail identifier

Responses

OK - The request was processed successfully.

Schema
    id integer
    account integer
    currency string
    amount stringnull
    status string

    Possible values: [created, pending, transferred, canceled, pending_execution, executed, execution_error]

    executionDate stringnull

    If left empty, the next possible execution date will be selected automatically

    transferredAt stringnull
    finishedAt stringnull
    reference stringnull

    This text will be seen by the beneficiary

    feeSchedule string

    Possible values: [DEBT, SHAR, CRED]

    For LOCAL payments leave it empty, for SWIFT payments provide a value

    contact integer
    beneficiary object

    The beneficiary field is required, except for payments to IBANs linked to existing amnis customers.

    anyOf
    accountNumber string
    bankName stringnullable
    bankCountry stringnullable
    name string
    address stringnullable
    city stringnullable
    zip stringnullable
    country stringnullable
    contact stringnullable
    fromAutomation boolean
Loading...